import {
  AwsCredentialIdentity,
  AwsCredentialIdentityProvider,
  ChecksumConstructor,
} from "@smithy/types";
export interface DsqlSignerConfig {
  credentials?: AwsCredentialIdentity | AwsCredentialIdentityProvider;
  hostname: string;
  region?: string;
  sha256?: ChecksumConstructor;
  expiresIn?: number;
  profile?: string;
}
export declare class DsqlSigner {
  private readonly credentials;
  private readonly hostname;
  private readonly protocol;
  private readonly region;
  private readonly service;
  private readonly sha256;
  private readonly expiresIn;
  constructor(configuration: DsqlSignerConfig);
  private _getAuthToken;
  getDbConnectAuthToken(): Promise<string>;
  getDbConnectAdminAuthToken(): Promise<string>;
}
